Skip to content

Delete a note

Request

You can delete a single contact or company note. Notes of other kinds cannot be deleted through the API.

Security
bearerAuth
Path
note_idintegerrequired

The unique identifier of a given note

Example:1
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.17"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
curl -i -X DELETE \
  https://api.intercom.io/notes/1 \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.17'

Responses

successful

Bodyapplication/json
idstring

The unique identifier for the note which you provided in the URL.

Example:"34"
typestring

The type of object which was deleted. - note

Value:"note"
Example:"note"
deletedboolean

Whether the note was deleted successfully or not.

Example:true
Response
{ "id": "34", "type": "note", "deleted": true }